<div>
  <button type="button" class="close" data-dismiss="modal" (click)="dialogRef.close()">
    &times;
  </button>
  <h4 class="modal-title">Key indicators</h4>

  <div class="tab-content">
    <div class="tab-pane container active">
      <div class="col-sm-12">
        <table aria-describedby="Manage Company" class="table table-bordered">
          <thead>
            <tr>
              <th scope="col">Label</th>
              <th scope="col">Value</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngIf="orderInfo.unique_order_id">
              <td>ORDER ID</td>
              <td>{{ orderInfo.unique_order_id }}</td>
            </tr>
            <tr>
              <td>PICKUP ADDRESS</td>
              <td><a (click)="onNavigate(orderInfo.customer_pickup_lat_long)" style="cursor: pointer;">
                  {{orderInfo.pickup_location }}</a></td>
            </tr>
            <tr *ngIf="orderInfo.drop_location!==''">
              <td>DROP ADDRESS</td>
              <td><a (click)="onNavigate(orderInfo.customer_drop_lat_long)" style="cursor: pointer;">
                  {{orderInfo.drop_location }}</a></td>
            </tr>
            <tr *ngIf="orderInfo.min_est_fare && orderInfo.max_est_fare">
              <td>Estimated fare</td>
              <td>
                <span>
                  {{orderInfo.min_est_fare}} - {{orderInfo.max_est_fare}} AED
                </span>
              </td>
            </tr>
            <tr *ngIf="orderInfo.price!=null">
              <td>Actual Fare</td>
              <td>
                {{ orderInfo.price }}
              </td>
            </tr>

            <tr *ngIf="orderInfo.order_status=='customer_cancel'">
              <td>Time took to cancel the order</td>
              <td>
                {{
                      timetook(orderInfo.updated_at,orderInfo.created_at)
                }}
              </td>
            </tr>
            <tr *ngIf="orderInfo.accept_time!=null && orderInfo.accept_time!=='' && orderInfo.is_scheduler=='0'">
              <td>Time took to accept</td>
              <td *ngIf="orderInfo.scheduler_start_date==null;else scheduled2">
                {{
                      orderInfo.sync_trip_id?timetook(orderInfo.accept_time,orderInfo.created_at):'NA'
                }}
              </td>
              <ng-template #scheduled2>
                <td>
                  NA
                </td>
              </ng-template>
            </tr>
            <tr *ngIf="orderInfo.driver_id && orderInfo.assigned_drivers.length>0">
              <td>Accepted Locaton</td>
              <td>
                <span *ngFor="let driver of orderInfo.assigned_drivers">
                  {{orderInfo.driver_id._id==driver.driver_id?driver.driver_loc && driver.distance_customer && driver.duration && driver.assigned_at?reversGC(driver.driver_loc,driver.distance_customer,driver.duration,driver.assigned_at):'':''}}
                </span>
                <a (click)="onNavigate(acceptedLocation)" style="cursor: pointer;">{{acceptedLocation}}</a>
              </td>
            </tr>
            <tr *ngIf="orderInfo.driver_id && orderInfo.assigned_drivers.length>0 && acceptedTime!=''">
              <td>Assigned time (Assigned in)</td>
              <td *ngIf="orderInfo.scheduler_start_date==null;else scheduled">
                <span>
                  {{acceptedTime}} ({{timetook(acceptedTime,orderInfo.created_at)}})
                </span>
              </td>
              <ng-template #scheduled>
                <td>
                  <span>
                    {{acceptedTime}}
                    ({{timetookScheduled(acceptedTime,orderInfo.scheduler_start_date,orderInfo.schedule_before)}})
                  </span>
                </td>
              </ng-template>
            </tr>
            <tr *ngIf="orderInfo.driver_id && orderInfo.assigned_drivers.length>0 && distanceToReach !=''">
              <td>Distance to reach Customer</td>
              <td>
                <span>
                  {{round(distanceToReach)}} KM
                </span>
              </td>
            </tr>
            <tr *ngIf="orderInfo.eta">
              <td>ETA Shown to Customer</td>
              <td>
                <span>
                  {{orderInfo.eta}}
                </span>
              </td>
            </tr>
            <tr
              *ngIf="orderInfo.sync_trip_id!=null && orderInfo.sync_trip_id.reached_customer_calendar!==''  && orderInfo.sync_trip_id.reached_customer_calendar!==null  && orderInfo.accept_time!==''  && orderInfo.accept_time!==null">
              <td>Time took to reach customer</td>
              <td>
                {{
                    orderInfo.sync_trip_id?timetook(orderInfo.sync_trip_id.reached_customer_calendar,orderInfo.accept_time):'NA'
                }}
              </td>
            </tr>
            <tr
              *ngIf="orderInfo.sync_trip_id!=null && orderInfo.sync_trip_id.finished_trip_calendar!=''  && orderInfo.sync_trip_id.finished_trip_calendar!=null">
              <td>Total trip time</td>
              <td>
                {{
                    orderInfo.sync_trip_id?timetook(orderInfo.sync_trip_id.finished_trip_calendar,orderInfo.sync_trip_id.start_trip_calendar):'NA'
                    }}
              </td>
            </tr>
            <tr *ngIf="orderInfo.convertedAssignedDriversId.length>0">
              <td>Drivers order went to</td>
              <td *ngIf="orderInfo.scheduler_start_date==null;else scheduleddriver">
                <table aria-describedby="Manage Company" class="table table-bordered small">
                  <tr>
                    <th scope="col">Driver</th>
                    <th scope="col">Distance</th>
                    <th scope="col">Duration</th>
                    <th scope="col">Assigned time</th>
                  </tr>
                  <tr *ngFor="let drive of orderInfo.assigned_drivers">
                    <td
                      [ngStyle]="{'font-weight':orderInfo.driver_id?orderInfo.driver_id._id==drive.driver_id?'bold':'normal':'normal'}">
                      <span *ngFor="let driver of orderInfo.convertedAssignedDriversId">
                        {{drive.driver_id==driver._id?driver.username:''}}
                      </span>
                    </td>
                    <td>
                      <span>
                        {{drive.distance_customer?round(drive.distance_customer)+' KM':'NA'}}
                      </span>
                    </td>
                    <td>
                      <span>
                        {{drive.duration?drive.duration+' Mins':'NA'}}
                      </span>
                    </td>
                    <td>
                      <span>
                        {{drive.assigned_at?drive.assigned_at+'('+timetook(drive.assigned_at,orderInfo.created_at)+')':'NA'}}
                      </span>
                    </td>
                  </tr>
                </table>
              </td>
              <ng-template #scheduleddriver>
                <td>
                  <table aria-describedby="Manage Company" class="table table-bordered small">
                    <tr>
                      <th scope="col">Driver</th>
                      <th scope="col">Distance</th>
                      <th scope="col">Duration</th>
                      <th scope="col">Assigned time</th>
                    </tr>
                    <tr *ngFor="let drive of orderInfo.assigned_drivers">
                      <td
                        [ngStyle]="{'font-weight':orderInfo.driver_id?orderInfo.driver_id._id==drive.driver_id?'bold':'normal':'normal'}">
                        <span *ngFor="let driver of orderInfo.convertedAssignedDriversId">
                          {{drive.driver_id==driver._id?driver.username:''}}
                        </span>
                      </td>
                      <td>
                        <span>
                          {{drive.distance_customer?round(drive.distance_customer)+' KM':'NA'}}
                        </span>
                      </td>
                      <td>
                        <span>
                          {{drive.duration?drive.duration+' Mins':'NA'}}
                        </span>
                      </td>
                      <td>
                        <span>
                          {{drive.assigned_at?drive.assigned_at+'('+timetookScheduled(drive.assigned_at,orderInfo.scheduler_start_date,orderInfo.schedule_before)+')':'NA'}}
                        </span>
                      </td>
                    </tr>
                  </table>
                </td>
              </ng-template>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-default" [mat-dialog-close]>
      Close
    </button>
  </div>
</div>